
Core - Bug # 40172

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category: DBAL
Created: 2012-08-25 Assigned To:
Updated: 2013-12-08 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Make DBAL unit tests work again
Description

according to class alias map
'ux_t3lib_DB' should now be 'TYPO3\\CMS\\Dbal\\Database\\DatabaseConntectionOverride',

Related issues:
related to Core - Bug # 40237: Correct DBAL ux_* class mapping in migrations ... Resolved 2012-08-26

Associated revisions
Revision 7cd56659 - 2012-08-28 19:29 - Steffen Gebert

[BUGFIX] Namespaces: Make dbal unit tests working

Change-Id: I1cbf166fc1f4dfa32e2e0c4abe34d413ce50d5d6
Resolves: #40172
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14117
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-08-25 13:28 - Tymoteusz Motylewski
- Assigned To set to Tymoteusz Motylewski

'ux_t3lib_sqlparser' => 'TYPO3\\CMS\\Dbal\\Database\\SqlParserOverride',

#2 - 2012-08-25 13:43 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14071

#3 - 2012-08-25 14:24 - Christian Kuhn
- Parent task set to #40095
#4 - 2012-08-26 11:45 - Christian Kuhn

xclass decision: namespaced classes that are xclassed should start with ux_ again, so we get the beautiful construct ux_TYPO3\CMS\... an entry in
dbal ext_autoload should be enough to make this work after the class was renamed accordingly ... needs to be tested and played through.

#5 - 2012-08-26 18:40 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#6 - 2012-08-26 18:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#7 - 2012-08-26 19:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#8 - 2012-08-27 17:29 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#9 - 2012-08-27 17:47 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#10 - 2012-08-28 12:12 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#11 - 2012-08-28 12:31 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#12 - 2012-08-28 12:46 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117
#13 - 2012-08-28 12:46 - Steffen Gebert
- Subject changed from class name ux_t3lib_db is still used to Make DBAL unit tests work again

#14 - 2012-08-28 12:47 - Steffen Gebert
- Assigned To deleted (Tymoteusz Motylewski)

#15 - 2012-08-28 12:50 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#16 - 2012-08-28 19:26 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14117

#17 - 2012-08-28 19:30 - Steffen Gebert
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:58d53e7962a6be7f2c078cc951da0099ab7142d8.

#18 - 2013-12-08 11:42 - Michael Stucki
- Project changed from DBAL to Core

#19 - 2013-12-08 11:44 - Michael Stucki
- Category set to DBAL
